Bug 1004292 - Met "can't convert nil into String" errors when using "oo-devel-node ssl-cert-add"
Met "can't convert nil into String" errors when using "oo-devel-node ssl-cert...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Michal Fojtik
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-04 06:48 EDT by chunchen
Modified: 2016-09-29 22:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-19 12:49:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description chunchen 2013-09-04 06:48:35 EDT
Description of problem:
When adding ssl certificate to an alias of app with oo-devel-node, will meet "can't convert nil into String" errors

Version-Release number of selected component (if applicable):
devenv_3740

How reproducible:
always

Steps to Reproduce:
1. SSH into a instance
2. Generate the private key and certificate as below
2.1)openssl genrsa -des3 -out server.orig.key 2048
2.2)openssl rsa -in server.orig.key -out server.key
2.3)openssl req -new -key server.key -out server.csr
2.4)openssl x509 -req -days 365 -in server.csr -signkey server.key -out server.crt
3. Create an app
rhc app create cdiy1 diy-0.1 --no-git
4. Add alias for this app
rhc alias add cdiy1 alias.cdiy1.com
5. Add ssl certificate to this alias with oo-devel-node
oo-devel-node ssl-cert-add --with-container-uuid 5226c6bf147bd80f4d000059 --with-ssl-cert server.crt --with-priv-key server.key --with-alias-name alias.cdiy1.com

Actual results:
error: can't convert nil into String. Use --trace to view backtrace

Expected results:
Adding ssl certificate should be successfully.

Additional info:
Comment 1 openshift-github-bot 2013-09-04 10:32:06 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/cb625186093a93696ef9622f074a3afd04a0f13e
Bug 1004292 - Fix typo in oo-devel-node command
Comment 2 chunchen 2013-09-05 22:21:05 EDT
I ckecked this issue on devenv_3749, it's fixed,please help to modify the status to ON_QA, then i can verify it, thanks!

please refer to the following results:

# oo-devel-node ssl-cert-add --with-container-uuid 52293acd5786f43fb5000007 --with-ssl-cert server.crt --with-priv-key server.key --with-alias-name alias.cdiy1.com
# oo-devel-node ssl-certs  --with-container-uuid 52293acd5786f43fb5000007 
Alias: alias.cdiy1.com
-----BEGIN CERTIFICATE-----
MIIDPjCCAiYCCQCIEXEmxXcbrzANBgkqhkiG9w0BAQUFADBhMQswCQYDVQQGEwJm
ZTELMAkGA1UECAwCZmQxCzAJBgNVBAcMAnNmMQswCQYDVQQKDAJzZjELMAkGA1UE
CwwCc2YxCzAJBgNVBAMMAnNmMREwDwYJKoZIhvcNAQkBFgJzZjAeFw0xMzA5MDYw
MjE0MzFaFw0xNDA5MDYwMjE0MzFaMGExCzAJBgNVBAYTAmZlMQswCQYDVQQIDAJm
ZDELMAkGA1UEBwwCc2YxCzAJBgNVBAoMAnNmMQswCQYDVQQLDAJzZjELMAkGA1UE
AwwCc2YxETAPBgkqhkiG9w0BCQEWAnNmMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8A
MIIBCgKCAQEA46HkOyMswnHLC7gW0CqokvvLbLe6gPraS+Ij/mQSR4D1Xu17GDiB
B4Ef1n2m9rK6Cdd7O2O+F7CNU3CcKJ8Zd47MBy4hjoxNbvmLGuaYZnDxW34PBMpF
LAgDvBcslbVXW9sX98mrQE++fIJJlMOeepXkNfemioRq7r1uXvHzPsrDPTIhj8kT
39ajLGBeZV6GACt53yic84Ewe7W44WiXSXH9BQkhN0tBmfVfG3xAds2Vi6w2dgqV
tbvg588+QWa23/xlwqShCWd6u9QRb8KJmJvB34YC0kXmc6/oVAwJqNd8jrhobGT0
7VbNFHsvr2eGQHTmDRxtwGGgus6Ql3hzswIDAQABMA0GCSqGSIb3DQEBBQUAA4IB
AQDQ69Jrn5wo83Etycmi+ZTAJZfGEQn8QenqJy9+fX44Niu15SpLcfkL2VofyLxr
pSBQeNqc/l//+MgTJCOrhPdsJOBtl/yeGNSUrGqOJF7dpa3UxFSR7sv2yQ4Snhv6
qO1m+h0pbabxSwGr9yIWSrSooww+rpKWhc/5eKwNRSrOHKHYSdKz/+A8tVzmG8j4
6KOeKdDg/Coj3ufABdFMmSQCDwlDgWkSskX6C4GOv0v5JyqGUPU4oHlToaBIQBjv
by6LB3s0SCC8Q0OMcUrTEjvgRA9pCVdASErCpCbSF/47A/iY4AHXzBNQgf7DJuiQ
GKamxXXkKtOaf29GHCzMvKQZ
-----END CERTIFICATE-----

-----BEGIN RSA PRIVATE KEY-----
MIIEpAIBAAKCAQEA46HkOyMswnHLC7gW0CqokvvLbLe6gPraS+Ij/mQSR4D1Xu17
GDiBB4Ef1n2m9rK6Cdd7O2O+F7CNU3CcKJ8Zd47MBy4hjoxNbvmLGuaYZnDxW34P
BMpFLAgDvBcslbVXW9sX98mrQE++fIJJlMOeepXkNfemioRq7r1uXvHzPsrDPTIh
j8kT39ajLGBeZV6GACt53yic84Ewe7W44WiXSXH9BQkhN0tBmfVfG3xAds2Vi6w2
dgqVtbvg588+QWa23/xlwqShCWd6u9QRb8KJmJvB34YC0kXmc6/oVAwJqNd8jrho
bGT07VbNFHsvr2eGQHTmDRxtwGGgus6Ql3hzswIDAQABAoIBAQDLP+E+oIC1uc9X
zm6oPn64hxUzJLXltpa2DNygp4/ewpnUwe0YSlODdNsNtLIhMqKEaR/CfqPcGSuH
ZlQ4vR6LLzij7J/P3RzCyxRW17EaPxxy2hLk7wpmb12OU47eucWf4ff7qtk7Gjj2
iYrTxvs5b58OROsyYVvtgb0MD7NmywuS4FCXAaxW6wsxIoiMI3oIhcordVKh+G/K
2BQx0mazMfvHtHmz6R94sRJq0C5n3KvvqxmFDbZWj805crgSKlEqYozkrCxzG0Ql
Wo0ugsK/SOrLDzstPeFB408QOuQU5FJWjHAxDFazaIf7E67v7ruxWgJCQBOwBCyD
0RQurMzRAoGBAPyRVVKjKEMo2l3YB9+bZ+ATk0et03bjrLSGChhajFL8kt6QAS0n
0E5lsCIPMrjuYa8weJ97P/qYI2zisP7JtUM+21AUiR/gIazfpSdvsrq+p33qGgJH
FubQusBEmQ4jVLHv2BqgdQQfV9SVXB/0CpuIAceHNhH4IrOXUwT+K8S7AoGBAOa5
z1PXpl6pRwtbtsuf+nrOYycqySefUrPYsTxBwyPaqzrH7HFe1wC5HhehgAwUjxvs
lanDrT2V61kI/7SHZIK7hgymSPZnkRALLtrXXzxW18xejFOTRJlhjUyMVRIWcjf/
9nEGVYiE9S2d+DD6R0JG/riAa86/QZaXj5T2Q5lpAoGAHwjouBfOWbpKYt+p0AMz
l2gwX81vP5uoXCJgWS+/MG9SyMBfNKJAyXFbXEQL0oeQP0uwdsBZUzyglb+hSh2V
BWdS4Zs0YlNTL//nNlpWVvYYdLNwcLk1ijU5zWhgeklDHf4/yr3Owyvqyfd0c4S0
TPpAZbkqnrij4veEPwfQbwMCgYEAjP6FXRYOfBBz8tP0C9FSbxOKchfqXwU0s+S6
wjjpuBJbywr7SXiMaMu3QPeXWUqC/ayA9QI37sebz4f5QufuGxnfXAGN2s4FTsmW
s3MjpqrnKuOoWzZGmHiNsXacUfZXjDMl9YHKaSfe8CZ10fBP9YePB06rEue7e/xY
aM5pFukCgYAJn/OxAX5VrWy24N5c56BU/RYtcqNJNcNyC9hy7QfEX/CWhGud8W0T
pt/0mRqay++8C6TKF/WOMsnGeQd0oPw69LM5kvPAa1KUE4dEEipS9peHvT07VdeS
CpCq9d6Qh/U8UloV51e1D7GuUgigS7W3cOvRIHBJahra+k3fIZM0UQ==
-----END RSA PRIVATE KEY-----
Comment 3 chunchen 2013-09-08 21:49:57 EDT
According to Comment 2, change the status to VERIFIED.

Note You need to log in before you can comment on or make changes to this bug.